# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
luciole_controller.py :
   Controller constants 
"""

# List of signals received by controller
CTRL_SIGNALS = [
    "change-alpha-mixer",
    "change-framerate",
    "change-project",
    "close-project",
    "create-project",
    "delete-capture",
    "delete-chrono",
    "display-about",
    "display-luciole-preferences",
    "display-project-properties",
    "export-to-tool",
    "export-to-video",
    "import-image",
    "move-down-chrono",
    "move-to-chrono",
    "move-up-chrono",
    "open-project",
    "play-video",
    "quit-app",
    "save-as-project",
    "save-project",
    "start-acquisition",
    "start-mixer",
    "stop-acquisition",
    "stop-mixer",
    "stop-video",
    "take-snapshot",
    "view-image",
        ]

(NO_PROJECT, PROJECT_LOADED) = range(2)

