#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- mode: python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# copyright nicolas bertrand (nico@inattendu.org), 2010
#
# this file is part of luciole.
#
#    the free software foundation, either version 3 of the license, or
#    (at your option) any later version.
#
#    luciole is distributed in the hope that it will be useful,
#    but without any warranty; without even the implied warranty of
#    merchantability or fitness for a particular purpose.  see the
#    gnu general public license for more details.
#
#    you should have received a copy of the gnu general public license
#    along with luciole.  if not, see <http://www.gnu.org/licenses/>.
#
#
"""
luciole.py
	Main program file for luciole
""" 
# standard library imports
import sys

# related third party imports
# N/A

# local application/library specific imports
import luciole.ctrl.ctrl as LC


def main() :
    """ Start luciole """
    runner =  LC.LucioleController(sys.argv)
    runner.run()

if __name__ == '__main__' :
    main()
